Create Member - Stytch Docs

Creates a Member

Creates a Member. An organization_id and email_address are required.

RBAC Enforced API If a Member Session is passed in the Authorization headers, Stytch will enforce that the Member has permission to take the create Action on the stytch.member Resource prior to honoring the request. To learn more, see the RBAC guide.

Authorizations

Authorization
string
header
required
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Stytch-Member-Session
string
A Stytch session that can be used to run the request with the given member's permissions.

X-Stytch-Member-SessionJWT
string
A Stytch Session JSON Web Token (JWT) that can be used to run the request with the given member's permissions.

Path Parameters

organization_id
string
required
Globally unique UUID that identifies a specific Organization. The organization_id is critical to perform operations on an Organization, so be sure to preserve this value. You may also use the organization_slug or organization_external_id here as a convenience.

Body

email_address
string
required
The email address of the Member.

name
string
The name of the Member.

trusted_metadata
object
An arbitrary JSON object for storing application-specific data or identity-provider-specific data.

untrusted_metadata
object
An arbitrary JSON object of application-specific data. These fields can be edited directly by the frontend SDK, and should not be used to store critical information.

create_member_as_pending
boolean
Flag for whether or not to save a Member as pending or active in Stytch. It defaults to false. If true, new Members will be created with status pending in Stytch's backend. Their status will remain pending and they will continue to receive signup email templates for every Email Magic Link until that Member authenticates and becomes active.

is_breakglass
boolean
Identifies the Member as a break glass user - someone who has permissions to authenticate into an Organization by bypassing the Organization's settings.

mfa_phone_number
string
The Member's phone number. A Member may only have one phone number.

mfa_enrolled
boolean
Sets whether the Member is enrolled in MFA. If true, the Member must complete an MFA step whenever they wish to log in to their Organization.

roles
string[]
Roles to explicitly assign to this Member.

external_id
string
An identifier that can be used in most API calls where a member_id is expected.

Response

request_id
string
required
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes.

member_id
string
required
Globally unique UUID that identifies a specific Member.

member
object
required
The Member object.

organization
object
required
The Organization object.

status_code
integer
required
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success.